Page 1 of 3 123 LastLast
Results 1 to 10 of 30

Thread: Updater wants to uninstall half my machine

  1. #1

    Default Updater wants to uninstall half my machine

    Maybe I'm missing something and this could be my misunderstanding and or bad config of online updater.

    First the updater was always yellow and failed on some repo so nothing got updated for a couple weeks as I couldn't figure out what was wrong. I finally tried it manually and saw the 11.0 repos were failing so disabled them. Then since Kate stopped working I had to add a bunch of repos to get Bluefish installed.

    Now the updater tells there are oodles of updates, but it will not run which actually turned out to be good because it forced me to look closely and try to update with online update in YAST. When I do that if comes up with a voluminous message telling me hundreds, YES HUNDREDS of packages need to be "deinstalled" for dependency issues to be resolved for these updates. Some are libraries some like GIMP I must have.

    This scares me to death as I hate kde 4 and the last couple updates have slipped some KDE **** by me that broke stuff I need. I'm afraid if I do this monstrous update it will blow up the machine altogether. This is a lamp box I have hundreds of hours of work into. Some of the updates look important, but they want to practically re or uninstall the OS in order to run.

    Here's some questions:

    Can I continue to run kde 3.5 and still get meaningful updates?

    Do these humongous number of "deinstalls" mean they will be reinstalled (there's a disaster waiting to happen) or just eliminated?

    I am practically in tears here. Any help would be greatly appreciated.
    Thanks,

  2. #2

    Default Re: Updater wants to uninstall half my machine

    I doubt I can help - but I'm certain whoever can will need to see the output of

    Code:
    zypper lr --details
    as root.

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Updater wants to uninstall half my machine

    Quote Originally Posted by Confuseling View Post
    I doubt I can help - but I'm certain whoever can will need to see the output of

    Code:
    zypper lr --details
    as root.
    Mike, that doesn't need to be done as root.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Updater wants to uninstall half my machine

    Quote Originally Posted by Tiribulus View Post
    Maybe I'm missing something and this could be my misunderstanding and or bad config of online updater.

    First the updater was always yellow and failed on some repo so nothing got updated for a couple weeks as I couldn't figure out what was wrong. I finally tried it manually and saw the 11.0 repos were failing so disabled them. Then since Kate stopped working I had to add a bunch of repos to get Bluefish installed.

    Now the updater tells there are oodles of updates, but it will not run which actually turned out to be good because it forced me to look closely and try to update with online update in YAST. When I do that if comes up with a voluminous message telling me hundreds, YES HUNDREDS of packages need to be "deinstalled" for dependency issues to be resolved for these updates. Some are libraries some like GIMP I must have.

    This scares me to death as I hate kde 4 and the last couple updates have slipped some KDE **** by me that broke stuff I need. I'm afraid if I do this monstrous update it will blow up the machine altogether. This is a lamp box I have hundreds of hours of work into. Some of the updates look important, but they want to practically re or uninstall the OS in order to run.

    Here's some questions:

    Can I continue to run kde 3.5 and still get meaningful updates?

    Do these humongous number of "deinstalls" mean they will be reinstalled (there's a disaster waiting to happen) or just eliminated?

    I am practically in tears here. Any help would be greatly appreciated.
    Thanks,
    Please post the info requested earlier.
    FYI: kde4 in 11.0 sucked big time. Every install I do, I dump the updater applet, it sucks too.
    We'll be able to help once we see the repo details.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Updater wants to uninstall half my machine

    Code:
    #  | Alias
         | Name                                   | Enabled | Refresh | Priority | T
    ype   | URI
    
    ---+----------------------------------------------------------------------------
    -----+----------------------------------------+---------+---------+----------+--
    ------+-------------------------------------------------------------------------
    ----------
    1  | Main Repository (NON-OSS)
         | Main Repository (NON-OSS)              | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/distribution/11.0/repo/non-oss/suse
    
    2  | server:php:applications
         | server:php:applications                | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/server:/php:/applications/open
    SUSE_11.0/
    3  | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_1
    1.0/ | openSUSE BuildService - OpenOffice.org | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUS
    E_11.0/
    4  | openSUSE:11.2:NonFree
         | openSUSE:11.2:NonFree                  | Yes     | Yes     |   99     | y
    ast2  | http://download.opensuse.org/distribution/11.2/repo/non-oss/
    
    5  | http://download.opensuse.org/repositories/server:/database/openSUSE_11.0/
         | openSUSE BuildService - Database       | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_11.0
    /
    6  | Mozilla
         | Mozilla                                | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.1/
    
    7  | Main Repository (OSS)
         | Main Repository (OSS)                  | Yes     | Yes     |   99     | y
    ast2  | http://download.opensuse.org/distribution/11.0/repo/oss
    
    8  | Packman Repository
         | Packman Repository                     | Yes     | Yes     |   99     | r
    pm-md | http://ftp.skynet.be/pub/packman/suse/11.0/
    
    9  | GNOME:Community
         | GNOME:Community                        | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/GNOME:/Community/openSUSE_11.0
    /
    10 | openSUSE:11.2:Update
         | openSUSE:11.2:Update                   | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/update/11.2/
    
    11 | http://download.opensuse.org/repositories/mozilla/openSUSE_11.0/
         | openSUSE BuildService - Mozilla        | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.0/
    
    12 | Education
         | Education                              | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/repositories/Education/openSUSE_11.2/
    
    13 | openSUSE-11.0-Updates
         | openSUSE-11.0-Updates                  | Yes     | Yes     |   99     | r
    pm-md | http://download.opensuse.org/update/11.0/
    
    14 | Libdvdcss repository
         | Libdvdcss repository                   | No      | Yes     |   99     | r
    pm-md | http://suse.linuxin.dk/repo/11.0/
    
    15 | openSUSE:11.1
         | openSUSE:11.1                          | Yes     | Yes     |   99     | y
    ast2  | http://download.opensuse.org/distribution/11.1/repo/oss/
    
    16 | openSUSE-DVD 11.0
         | openSUSE-DVD 11.0                      | No      | No      |   99     | y
    ast2  | cd:///?devices=/dev/sr0
    
    17 | devel:languages:perl
         | devel:languages:perl                   | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/devel:/languages:/perl/openSUS                                                                                              E_11.2/
    18 | http://download.opensuse.org/repositories/server:/php/openSUSE_11.0/                                                                                                          | openSUSE BuildService - PHP            | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/server:/php/openSUSE_11.0/                                                                                                  
    19 | openSUSE:11.2:Contrib                                                                                                                                                         | openSUSE:11.2:Contrib                  | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/openSUSE:/11.2:/Contrib/standa                                                                                              rd/
    20 | multimedia:photo                                                                                                                                                              | multimedia:photo                       | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/multimedia:/photo/openSUSE_11.                                                                                              0/
    21 | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_11.0/                                                                                                       | openSUSE BuildService - KDE:Community  | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_11.0/                                                                                               
    22 | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_11.0/                                                                                                             | openSUSE BuildService - X11:XGL        | Yes     | Yes     |   99     | r                                                                                              pm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_11.0/

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Updater wants to uninstall half my machine

    Dude you have 11., 11.1 and 11.2 repos!!

    I take it you are using openSUSE 11.0??
    Please confirm and I will advise
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Updater wants to uninstall half my machine

    Quote Originally Posted by caf4926 View Post
    Dude you have 11., 11.1 and 11.2 repos!!

    I take it you are using openSUSE 11.0??
    Please confirm and I will advise
    That is correct.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Updater wants to uninstall half my machine

    Please delete ALL your repos via Yast Software Repositories

    Now add back these:

    OSS 120
    Index of /distribution/11.0/repo/oss

    NON_OSS 120
    Index of /distribution/11.0/repo/non-oss

    UPDATES 99
    Index of /update/11.0

    PACKMAN 90
    Index of /packman.links2linux.de/suse/11.0

    Notice the priority Numbers for each
    Make sure all are enabled and refreshing
    Repository Management - openSUSE Forums

    You now need to go to Yast Software Management, Filter by Repository and select System
    Now select Update all in this list Unconditionally, Like in this example
    carl4926 - Unconditional Update in Yast Software management

    Now wait for it to all happen, it could take a while.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Updater wants to uninstall half my machine

    Quote Originally Posted by caf4926 View Post
    Please delete ALL your repos via Yast Software Repositories

    Now add back these:

    OSS 120
    Index of /distribution/11.0/repo/oss

    NON_OSS 120
    Index of /distribution/11.0/repo/non-oss

    UPDATES 99
    Index of /update/11.0

    PACKMAN 90
    Index of /packman.links2linux.de/suse/11.0

    Notice the priority Numbers for each
    Make sure all are enabled and refreshing
    Repository Management - openSUSE Forums

    You now need to go to Yast Software Management, Filter by Repository and select System
    Now select Update all in this list Unconditionally, Like in this example
    carl4926 - Unconditional Update in Yast Software management

    Now wait for it to all happen, it could take a while.
    Those were some very clear and appreciated instructions. Thanks.

    However, what about the couple dozen packages that this will now revert to earlier versions including PHP and mysql? I CANNOT have those become a tangled mess (though they may already be, but they work). I'm not pretending to be qualified to second guess your advice, but I have to ask.
    Thanks again.

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Updater wants to uninstall half my machine

    Quote Originally Posted by Tiribulus View Post
    Those were some very clear and appreciated instructions. Thanks.

    However, what about the couple dozen packages that this will now revert to earlier versions including PHP and mysql? I CANNOT have those become a tangled mess (though they may already be, but they work). I'm not pretending to be qualified to second guess your advice, but I have to ask.
    Thanks again.
    By all means try going to these packages and right click and select Keep. See how it goes.
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •